{
	"name": "form/local/input/capacity/capacity-4dresrow1/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "capacity-4dresrow1"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "8/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Resource Link ID",
												"attribute": {
													"model": "hdr.cap.json_data.resource_link_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.cap.json_data.resource_link_id"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Name",
												"attribute": {
													"model": "hdr.cap.json_data.capacity_name"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "9/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.json_data.capacity_name"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Resource id",
												"attribute": {
													"model": "hdr.cap.json_data.resource_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.json_data.resource_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.capacity-4dresrow.tresourcename"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Work Capacity id",
												"attribute": {
													"model": "hdr.cap.shift_schedule_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.shift_schedule_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.capacity-4dresrow.tworkcapacityname"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Start Date",
												"attribute": {
													"model": "hdr.cap.start_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.start_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Order",
												"attribute": {
													"model": "hdr.capacity-4dresrow.order"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.capacity-4dresrow.order"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "End Date",
												"attribute": {
													"model": "hdr.cap.end_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.end_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Repeat",
												"attribute": {
													"model": "hdr.capacity-4dresrow.repeat"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.capacity-4dresrow.repeat"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Work Load Group id",
												"attribute": {
													"model": "hdr.cap.resource_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.resource_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Color",
												"attribute": {
													"model": "hdr.cap.color"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.color"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Employee id",
												"attribute": {
													"model": "hdr.cap.person_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.person_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Multiplier",
												"attribute": {
													"model": "hdr.cap.capacity_multiplier"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.capacity_multiplier"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Shift Order",
												"attribute": {
													"model": "hdr.cap.shift_order"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "9/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.cap.shift_order"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Link Type",
												"attribute": {
													"model": "hdr.cap.capacity_type"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"model": "rec.cap.capacity_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "State",
												"attribute": {
													"model": "hdr.cap.capacity_state"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"model": "rec.cap.capacity_state"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Info",
								"attribute": {
									"model": "hdr.cap.info"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.cap.info"
								}
							}
						]
					}
				]
			}
		]
	}
}
